commit: abce7582d10105a6a589e69085b947d3ed46aa79
Author: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 3 20:32:30 2017 +0000
Commit: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Wed Jan 4 04:48:26 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abce7582
dev-python/uncompyle6: Version bump
Package-Manager: Portage-2.3.3_p7, Repoman-2.3.1
dev-python/uncompyle6/Manifest | 1 +
dev-python/uncompyle6/uncompyle6-2.9.7.ebuild | 43 +++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/dev-python/uncompyle6/Manifest b/dev-python/uncompyle6/Manifest
index ba7d352..d356f4e 100644
--- a/dev-python/uncompyle6/Manifest
+++ b/dev-python/uncompyle6/Manifest
@@ -1,2 +1,3 @@
DIST uncompyle6-2.8.3.tar.gz 504536 SHA256
213a5742d89d528e539121ab68b8d897a9fc60997ec30f6ec0764b6ca2d4a543 SHA512
635983a945a05f649d0f78191c59f6d1f0a7c922ad3bc8fc53396514a4cd133cdef228bac3189cd04d0c2104fb5da128f0ad8f868f6cfdd0bf3a0d52e08e773d
WHIRLPOOL
93b1085e1b92e6dbfad39f27094636303d022298ee17460ea0f95d3338c6f0f1c03c6a0584d4805375c491e21fa7ca8e8b709532e6d9d1973d9a0b323734441b
DIST uncompyle6-2.9.6.tar.gz 865986 SHA256
5257fa0c98d116c632aa369ecc641db737ad14783cff98d3d6d166fe63faa42c SHA512
8aa3124fa7f93f090b4c5a133c6c6d1094b6a6cd809b1d230e4458b4743fce6c69fe48799c5cfd99fc1ff28d034602c834905f16642b7245fc05f066319e33e7
WHIRLPOOL
65300993c3a5bdc21b977e28d4774f87c995b28c0844929fa0391342654f043a2a2a031f307e182ca64dd8986047f78807259ec2f0aefc63e5f15ca9e1a7e5ef
+DIST uncompyle6-2.9.7.tar.gz 876996 SHA256
28b1f18a7e241b783d4cf7f36d996b35871e61544b7914c909adc3aa54ad6317 SHA512
b528a9db569f0665f78a7eef94c91e0d0d31490cb5e60f9cd2fa286c48f378875db1b5fb68e6d593c009c1ab9b381aab06a07624795177d9d72924d73d257ccc
WHIRLPOOL
8735ad27678c9d0885e15ec60156272f822af43fa10173220aee0116c893e8a334d11a70030feb11d7726ae6fa9fc9e1c0e724b07d6756a49b17e90ac0f10957
diff --git a/dev-python/uncompyle6/uncompyle6-2.9.7.ebuild
b/dev-python/uncompyle6/uncompyle6-2.9.7.ebuild
new file mode 100644
index 00000000..3a9e121
--- /dev/null
+++ b/dev-python/uncompyle6/uncompyle6-2.9.7.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Python cross-version byte-code deparser"
+HOMEPAGE="https://github.com/rocky/python-uncompyle6/
https://pypi.python.org/pypi/uncompyle6"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/xdis-3.2.3
+ <dev-python/xdis-3.3.0
+ >=dev-python/spark-parser-1.5.1
+ <dev-python/spark-parser-1.6.0"
+DEPEND="${RDEPEND}
+ test? (
+ >=dev-python/nose-1.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+}
+
+# only run the recommended "make check" tests
+python_test() {
+ distutils_install_for_testing
+
+ PYTHONPATH="${S}/test:${BUILD_DIR}/lib" \
+ emake check || die "Tests failed under ${EPYTHON}"
+}